Package org.apache.synapse.transport.netty.config

## Class NettyConfiguration

- java.lang.Object
- - org.apache.synapse.transport.netty.config.NettyConfiguration

-     public class NettyConfiguration
      extends Object

  This class encapsulates netty transport tuning configurations specified via a configurations file or system properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_CLIENT_ENDPOINT_SOCKET_TIMEOUT` |
    `static int` | `DEFAULT_CONNECTION_POOLING_MAX_ACTIVE_CONNECTIONS` |
    `static int` | `DEFAULT_CONNECTION_POOLING_MAX_IDLE_CONNECTIONS` |
    `static int` | `DEFAULT_CONNECTION_POOLING_WAIT_TIME` |
    `static int` | `DEFAULT_HTTP_SOCKET_TIMEOUT` |
    `static int` | `DEFAULT_MAX_CLIENT_REQUEST_ENTITY_BODY_SIZE` |
    `static int` | `DEFAULT_MAX_CLIENT_REQUEST_HEADER_SIZE` |
    `static int` | `DEFAULT_MAX_CLIENT_REQUEST_STATUS_LINE_LENGTH` |
    `static int` | `DEFAULT_MAX_ENTITY_BODY_SIZE` |
    `static int` | `DEFAULT_MAX_HEADER_SIZE` |
    `static int` | `DEFAULT_MAX_STATUS_LINE_LENGTH` |
    `static int` | `DEFAULT_WORKER_POOL_QUEUE_LENGTH` |
    `static int` | `DEFAULT_WORKER_POOL_SIZE_CORE` | Default tuning parameter values.
    `static int` | `DEFAULT_WORKER_POOL_SIZE_MAX` |
    `static int` | `DEFAULT_WORKER_THREAD_KEEPALIVE_SEC` |
    `static String` | `HTTP_WORKER_THREAD_GROUP_NAME` |
    `static String` | `HTTP_WORKER_THREAD_ID` |
    `static String` | `REVERSE_PROXY_MODE_SYSTEM_PROPERTY` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getClientEndpointSocketTimeout()` |
    `int` | `getClientRequestMaxEntityBodySize()` |
    `int` | `getClientRequestMaxHeaderSize()` |
    `int` | `getClientRequestMaxStatusLineLength()` |
    `int` | `getConnectionPoolingMaxActiveConnections()` |
    `int` | `getConnectionPoolingMaxIdleConnections()` |
    `int` | `getConnectionPoolingWaitTime()` |
    `String` | `getHttpGetRequestProcessorClass()` |
    `String` | `getHttpTransportMediationInterceptorClass()` |
    `static NettyConfiguration` | `getInstance()` |
    `int` | `getMaxEntityBodySize()` |
    `int` | `getMaxHeaderSize()` |
    `int` | `getMaxStatusLineLength()` |
    `String` | `getPreserveHttpHeaders()` |
    `String` | `getResponsePreserveHttpHeaders()` |
    `String` | `getServerHostname()` |
    `int` | `getSocketTimeout()` |
    `int` | `getWorkerPoolCoreSize()` |
    `int` | `getWorkerPoolMaxSize()` |
    `int` | `getWorkerPoolQueueLen()` |
    `int` | `getWorkerThreadKeepaliveSec()` |
    `boolean` | `isClientRequestLimitsValidationEnabled()` |
    `boolean` | `isCustomConnectionPoolConfigsEnabled()` |
    `boolean` | `isForcedJSONMessageValidationEnabled()` |
    `boolean` | `isForcedMessageBuildEnabled()` |
    `boolean` | `isForcedXmlMessageValidationEnabled()` |
    `boolean` | `isKeepAliveDisabled()` |
    `boolean` | `isPreserveServerHeader()` |
    `boolean` | `isPreserveUserAgentHeader()` |
    `boolean` | `isRequestLimitsValidationEnabled()` |
    `boolean` | `isReverseProxyMode()` | Check for reverse proxy mode.
    `String` | `isServiceListBlocked()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_WORKER_POOL_SIZE_CORE

          public static final int DEFAULT_WORKER_POOL_SIZE_CORE

      Default tuning parameter values.
      See Also:
        Constant Field Values

    - #### DEFAULT_WORKER_POOL_SIZE_MAX

          public static final int DEFAULT_WORKER_POOL_SIZE_MAX

      See Also:
        Constant Field Values

    - #### DEFAULT_WORKER_THREAD_KEEPALIVE_SEC

          public static final int DEFAULT_WORKER_THREAD_KEEPALIVE_SEC

      See Also:
        Constant Field Values

    - #### DEFAULT_WORKER_POOL_QUEUE_LENGTH

          public static final int DEFAULT_WORKER_POOL_QUEUE_LENGTH

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTP_SOCKET_TIMEOUT

          public static final int DEFAULT_HTTP_SOCKET_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_POOLING_MAX_IDLE_CONNECTIONS

          public static final int DEFAULT_CONNECTION_POOLING_MAX_IDLE_CONNECTIONS

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_POOLING_MAX_ACTIVE_CONNECTIONS

          public static final int DEFAULT_CONNECTION_POOLING_MAX_ACTIVE_CONNECTIONS

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_POOLING_WAIT_TIME

          public static final int DEFAULT_CONNECTION_POOLING_WAIT_TIME

      See Also:
        Constant Field Values

    - #### DEFAULT_CLIENT_ENDPOINT_SOCKET_TIMEOUT

          public static final int DEFAULT_CLIENT_ENDPOINT_SOCKET_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_STATUS_LINE_LENGTH

          public static final int DEFAULT_MAX_STATUS_LINE_LENGTH

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_HEADER_SIZE

          public static final int DEFAULT_MAX_HEADER_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_ENTITY_BODY_SIZE

          public static final int DEFAULT_MAX_ENTITY_BODY_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_CLIENT_REQUEST_STATUS_LINE_LENGTH

          public static final int DEFAULT_MAX_CLIENT_REQUEST_STATUS_LINE_LENGTH

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_CLIENT_REQUEST_HEADER_SIZE

          public static final int DEFAULT_MAX_CLIENT_REQUEST_HEADER_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_CLIENT_REQUEST_ENTITY_BODY_SIZE

          public static final int DEFAULT_MAX_CLIENT_REQUEST_ENTITY_BODY_SIZE

      See Also:
        Constant Field Values

    - #### HTTP_WORKER_THREAD_GROUP_NAME

          public static final String HTTP_WORKER_THREAD_GROUP_NAME

      See Also:
        Constant Field Values

    - #### HTTP_WORKER_THREAD_ID

          public static final String HTTP_WORKER_THREAD_ID

      See Also:
        Constant Field Values

    - #### REVERSE_PROXY_MODE_SYSTEM_PROPERTY

          public static final String REVERSE_PROXY_MODE_SYSTEM_PROPERTY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static NettyConfiguration getInstance()

    - #### getWorkerPoolCoreSize

          public int getWorkerPoolCoreSize()

    - #### getWorkerPoolMaxSize

          public int getWorkerPoolMaxSize()

    - #### getWorkerThreadKeepaliveSec

          public int getWorkerThreadKeepaliveSec()

    - #### getWorkerPoolQueueLen

          public int getWorkerPoolQueueLen()

    - #### isRequestLimitsValidationEnabled

          public boolean isRequestLimitsValidationEnabled()

    - #### getMaxStatusLineLength

          public int getMaxStatusLineLength()

    - #### getMaxHeaderSize

          public int getMaxHeaderSize()

    - #### getMaxEntityBodySize

          public int getMaxEntityBodySize()

    - #### isClientRequestLimitsValidationEnabled

          public boolean isClientRequestLimitsValidationEnabled()

    - #### getClientRequestMaxStatusLineLength

          public int getClientRequestMaxStatusLineLength()

    - #### getClientRequestMaxHeaderSize

          public int getClientRequestMaxHeaderSize()

    - #### getClientRequestMaxEntityBodySize

          public int getClientRequestMaxEntityBodySize()

    - #### getSocketTimeout

          public int getSocketTimeout()

    - #### isCustomConnectionPoolConfigsEnabled

          public boolean isCustomConnectionPoolConfigsEnabled()

    - #### getConnectionPoolingMaxActiveConnections

          public int getConnectionPoolingMaxActiveConnections()

    - #### getConnectionPoolingMaxIdleConnections

          public int getConnectionPoolingMaxIdleConnections()

    - #### getConnectionPoolingWaitTime

          public int getConnectionPoolingWaitTime()

    - #### getClientEndpointSocketTimeout

          public int getClientEndpointSocketTimeout()

    - #### isKeepAliveDisabled

          public boolean isKeepAliveDisabled()

    - #### getServerHostname

          public String getServerHostname()

    - #### getHttpGetRequestProcessorClass

          public String getHttpGetRequestProcessorClass()

    - #### getHttpTransportMediationInterceptorClass

          public String getHttpTransportMediationInterceptorClass()

    - #### isPreserveUserAgentHeader

          public boolean isPreserveUserAgentHeader()

    - #### isPreserveServerHeader

          public boolean isPreserveServerHeader()

    - #### getPreserveHttpHeaders

          public String getPreserveHttpHeaders()

    - #### isServiceListBlocked

          public String isServiceListBlocked()

    - #### getResponsePreserveHttpHeaders

          public String getResponsePreserveHttpHeaders()

    - #### isReverseProxyMode

          public boolean isReverseProxyMode()

      Check for reverse proxy mode.
      Returns:
        whether reverse proxy mode is enabled

    - #### isForcedMessageBuildEnabled

          public boolean isForcedMessageBuildEnabled()

    - #### isForcedXmlMessageValidationEnabled

          public boolean isForcedXmlMessageValidationEnabled()

    - #### isForcedJSONMessageValidationEnabled

          public boolean isForcedJSONMessageValidationEnabled()